Bug 193887 - Unable to upgrade FC4 to FC5
Unable to upgrade FC4 to FC5
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 14:42 EDT by Kern Sibbald
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 10:45:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/tmp/anaconda.log at time of failure (32.02 KB, text/plain)
2006-06-04 16:36 EDT, Kern Sibbald
no flags Details
/tmp/syslog at time of failure (20.08 KB, text/plain)
2006-06-04 16:37 EDT, Kern Sibbald
no flags Details
Output from df command at time of failure (780 bytes, text/plain)
2006-06-04 16:37 EDT, Kern Sibbald
no flags Details

  None (edit)
Description Kern Sibbald 2006-06-02 14:42:02 EDT
Description of problem:  Using FC-5-i386-DVD-Unity-20060523.iso I am unable to 
upgrade my FC4 to FC5 because of a dialog box with the following message 
during upgrade: "There was an error running your transaction, for the 
following reason(s): insufficient disk space"


Version-Release number of selected component (if applicable):
FC5


How reproducible:


Steps to Reproduce:
1. Download FC-5-i386-DVD-Unity-20060523.iso
2. Burn a DVD
3. Attempt to upgrade. All goes well until "running the transactions"
when I get the above message.
  
Actual results:
Total failure to upgrade


Expected results:
Upgrade a reasonably current (beginning of May) FC4 to FC5.


Additional info:
I've been using RedHat/Fedora since 1998.  This is the first such problem. The 
error message is not at all helpfull.

$ df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda2              5044188   3010648   1777304  63% /
/dev/hda1               600832      7568    562744   2% /boot
/dev/hda3               719452     17140    665768   3% /cd
none                    515892         0    515892   0% /dev/shm
/dev/hda8             95871976  14320120  76681756  16% /home
/dev/hda6              5044156     52124   4735800   2% /tmp
/dev/hda5              6048320   4105904   1635176  72% /usr

I seem to have plenty of available disk space.

How do I upgrade?
Comment 1 Jeremy Katz 2006-06-04 14:34:50 EDT
Can you switch to tty2 when this occurs and grab /tmp/anaconda.log and /tmp/syslog?
Comment 2 Kern Sibbald 2006-06-04 16:36:04 EDT
Created attachment 130459 [details]
/tmp/anaconda.log at time of failure
Comment 3 Kern Sibbald 2006-06-04 16:37:00 EDT
Created attachment 130460 [details]
/tmp/syslog at time of failure
Comment 4 Kern Sibbald 2006-06-04 16:37:54 EDT
Created attachment 130461 [details]
Output from df command at time of failure
Comment 5 Kern Sibbald 2006-06-04 16:42:27 EDT
OK, I've attached copies of the files you requested, including a copy of a 
"df" command executed in tty2.

I'll be interested to hear why 1.6GB of free space on /usr is insufficient :-)

Comment 6 Jeremy Katz 2006-06-04 16:48:42 EDT
rpmlib is definitely reporting that there's a need for more space.  Do you have
any symlinks that you manually created under /var or /usr that could be pointing
to an absolute path and confusing things?
Comment 7 Kern Sibbald 2006-06-04 17:52:07 EDT
I don't remember manually linking anything in either /var or /usr on this 
system. In fact, I rarely link files/directories.  In looking at /var, at the 
top level, the only link I see is "mail -> spool/mail" and in /usr "tmp 
-> ../var/tmp".  All my filesystems are either ext2 (/ and /boot) or ext3 and 
mounted normally, nothing fancy.

The values returned by "df" make perfect sense knowing my setup. I should have 
plenty of space on all partitions, and I have never had a partition fill.

Do you have a test program for rpmlib that I could run?
Comment 8 Kern Sibbald 2006-06-05 04:28:40 EDT
I did an "rpm --rebuilddb" and it made no difference.  Then just to ensure 
that the df numbers are correct I did copied a 1.2GB directory into /usr:

--- Before copy 
[root@rufus src]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda2              5044188   3031792   1756160  64% /
/dev/hda1               600832      7568    562744   2% /boot
/dev/hda3               719452     17140    665768   3% /cd
none                    515892         0    515892   0% /dev/shm
/dev/hda8             95871976  14178644  76823232  16% /home
/dev/hda6              5044156     43288   4744636   1% /tmp
/dev/hda5              6048320   4103184   1637896  72% /usr

--- Copy 1.2GB directory (see below for df of var)
[root@rufus src]# cp -a var /usr

--- df after copy, /usr is as expected
[root@rufus src]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda2              5044188   3031792   1756160  64% /
/dev/hda1               600832      7568    562744   2% /boot
/dev/hda3               719452     17140    665768   3% /cd
none                    515892         0    515892   0% /dev/shm
/dev/hda8             95871976  14235456  76766420  16% /home
/dev/hda6              5044156     43288   4744636   1% /tmp
/dev/hda5              6048320   5387592    353488  94% /usr

--- Size of var
[root@rufus src]# du -s var
1285420 var

--- remove big directory and we get back to what we had before
[root@rufus src]# rm -rf /usr/var
[root@rufus src]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda2              5044188   3031792   1756160  64% /
/dev/hda1               600832      7568    562744   2% /boot
/dev/hda3               719452     17140    665768   3% /cd
none                    515892         0    515892   0% /dev/shm
/dev/hda8             95871976  14202144  76799732  16% /home
/dev/hda6              5044156     43288   4744636   1% /tmp
/dev/hda5              6048320   4103184   1637896  72% /usr

There seems to be a bug somewhere the calculation of free space during the 
upgrade.
Comment 9 Chris Lumens 2006-06-05 09:46:38 EDT
I have worked on this code some post-FC5 because that error message you're
getting is not at all helpful.  In future releases, it will tell you which
partitions are low on space, and how much additional free space is required.  I
guess that's not much help for you right now, but FC6test1 should do a better job.
Comment 10 Kern Sibbald 2006-06-05 13:09:46 EDT
I'm pleased to hear that you have improved the error message because I can 
imagine that some users may not have sufficient free space so knowing the 
partition and how much space is needed will be a big help.  

However, in my case, there seems to be a bug, and if I am interpreting the 
output from anaconda.log correctly, it looks like I am totally out of luck 
without a bug fix because no matter how I attempt to upgrade xorg-x11... I 
will have problems. That implies to me an install.

Is there any way I can upgrade -- even manually?

Comment 11 Kern Sibbald 2006-06-08 11:00:09 EDT
The problem appears to be due to the DVD iso, which I was using.  Note, I 
verified the sha1sum before burning the DVD and it matches exactly.

The reason I say this appears to be due to the DVD iso is because I just did 
an upgrade using the 5 CD set, and did not have the insufficient disk space 
problem.

The fourth disk was apparently bad or unreadable, which caused the upgrade to 
fail before it was complete.  I later fixed this using yumex to upgrade the 
remaining rpms.  However, it sure would be nice to have a dialog that permits 
retrying the CD if there is an error.  That would permit the user to burn a 
new CD and try again rather than have a total failure.  I seem to recall that 
this was the way FC4 installed (I had several bad CDs due to a CD 
manufacturing problem).

For me, the problem is solved, but there is something screwed up about either 
the DVD creation process or that particular DVD release.
Comment 12 Red Hat Bugzilla 2007-06-11 23:11:28 EDT
requested by Jams Antill
Comment 13 Kern Sibbald 2007-06-16 13:13:47 EDT
As far as I am concerned, you can close this bug report. I no longer use 
Fedora.

Note You need to log in before you can comment on or make changes to this bug.